GMOD_MAKE_CVTERMPATH(1p)

NAME
gmod_make_cvtermpath.pl - calculates the transitive closure on the ontology terms in the cvterm table

USAGE
 perl gmod_make_cvtermpath.pl -H [dbhost] -D [dbname]  [-vt] -c cvname
 perl gmod_make_cvtermpath.pl -g [GMODConf_profile] -c cvname

  Parameters

-c  Name of ontology (cv.name) to compute the transitive closure on. (Required)

-v  Verbose output

-t  Trial mode. Do not perform any store operations at all. (Not implemented)

-o  outfile for writing errors and verbose messages (optional)

-g  GMOD database profile name (can provide host and DB name) Default: 'default'

  If not using a GMOD database profile (option -g) then you must provide the following parameters

-D  Database name

-H  Hostname

-d  Database driver name (e.g. 'Pg' for postgres)

-u  [Optional- if default user is not used] Database user name

-p  [Optional- if you need a password to connect to your database] Password for your user to connect to the database

DESCRIPTION
This script calculates the transitive closure on the ontology terms in the cvterm table. As this is a computationaly intensive operation, doing so on a large cv like the Gene Ontology can take several hours. For more information on what a transative closure is, please see:

  http://www.geneontology.org/GO.database.shtml#graphs

AUTHOR
Naama Menda <nm249@cornell.edu>

VERSION AND DATE
Version 1.2, Feb. 2011.